Skip to content

Attestation

GET/api/v1/identities/{user_id}/proofs
GET
/api/v1/identities/{user_id}/proofs

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

user_id*string

Query Parameters

filter?

Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.

sort?string

Comma-separated sort keys, - for descending, at most 1. Keys: verified_at, expires_at, created_at. Default: -created_at.

limit?integer

Rows per page, 1 to 100 (default 25).

Range1 <= value <= 100
cursor?string

The page.next_cursor of the previous page. Cannot be combined with page.

page?integer

A 1-based page number, for jumping. Cannot be combined with cursor.

Range1 <= value
total?boolean

Set to true to include the number of matching rows in page.total.

Response Body

application/json

curl -X GET "https://example.com/api/v1/identities/string/proofs"
{  "page": {    "has_more": true,    "next_cursor": "string",    "page": 0,    "total": 0  },  "proofs": [    {      "expires_at": "2019-08-24T14:15:22Z",      "identity": "string",      "platform": "string",      "proof_id": "string",      "revoked_at": "2019-08-24T14:15:22Z",      "signature_verified": true,      "status": "pending",      "verified_at": "2019-08-24T14:15:22Z"    }  ],  "user_id": "string"}
POST/api/v1/proofs/generate-text
POST
/api/v1/proofs/generate-text

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/proofs/generate-text" \  -H "Content-Type: application/json" \  -d '{    "identity": "string",    "platform": "string"  }'
{  "nonce": "string",  "post_instructions": "string",  "proof_text": "string"}
POST/api/v1/proofs/verify
POST
/api/v1/proofs/verify

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/proofs/verify" \  -H "Content-Type: application/json" \  -d '{    "identity": "string",    "platform": "string",    "proof_url": "string"  }'
{  "attestation_url": "string",  "expires_at": "2019-08-24T14:15:22Z",  "identity": "string",  "platform": "string",  "proof_id": "string",  "signature_verified": true,  "verified": true,  "verified_at": "2019-08-24T14:15:22Z"}
GET/api/v1/proofs/{proof_id}
GET
/api/v1/proofs/{proof_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

proof_id*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/proofs/string"
{  "attestation_url": "string",  "created_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z",  "identity": "string",  "platform": "string",  "proof_id": "string",  "proof_url": "string",  "revoked_at": "2019-08-24T14:15:22Z",  "signature_verified": true,  "status": "pending",  "user_id": "string",  "verified_at": "2019-08-24T14:15:22Z"}
DELETE/api/v1/proofs/{proof_id}
DELETE
/api/v1/proofs/{proof_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

proof_id*string

Response Body

application/json

curl -X DELETE "https://example.com/api/v1/proofs/string"
{  "message": "string",  "proof_id": "string"}
GET/api/v1/proofs/{proof_id}/audit
GET
/api/v1/proofs/{proof_id}/audit

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

proof_id*string

Query Parameters

limit?integer

Rows per page, 1 to 100 (default 25).

Range1 <= value <= 100
cursor?string

The page.next_cursor of the previous page. Cannot be combined with page.

total?boolean

Set to true to include the number of matching rows in page.total.

Response Body

application/json

curl -X GET "https://example.com/api/v1/proofs/string/audit"
{  "events": [    null  ],  "page": {    "has_more": true,    "next_cursor": "string",    "page": 0,    "total": 0  },  "proof_id": "string"}
GET/api/v1/resolve/{platform}/{identity}
GET
/api/v1/resolve/{platform}/{identity}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

platform*string
identity*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/resolve/string/string"
{  "identity": "string",  "platform": "string",  "proof": null,  "verified": true}